<%@ page language="java"
%><%@ page import="xxas.oracle.apps.xxas.com.ServiceManager" 
%><%! public static final String SVN_ID = "$Id$";
%><%
  // Force character encoding to UTF8
  request.setCharacterEncoding("UTF-8");

// Commented out because cache expiration headers cause Flex in IE6 to
// bomb out when on HTTPS.
// response.setHeader("Cache-Control", "no-cache"); //HTTP 1.1
// response.setHeader("Pragma", "no-cache"); //HTTP 1.0
// response.setDateHeader("Expires", 0); //prevents caching at the proxy server
%><%

  // Instantiate a new service manager
  ServiceManager srvMgr = new ServiceManager();

  // Invoke the service
  byte[] outputData = srvMgr.invokeXMLBlobService(request, response);

  // Oracle compiled jsp contains many new line characters,
  // which break the rule of having the XML declaration on the first
  // line. Clear the Oracle buffer first.
  JspWriter writer = pageContext.getOut();
  writer.clearBuffer();

  //
  // Set the content type to XML and UTF-8
  //
  response.setContentType("text/xml; charset=UTF-8");
  
  // Stream the blob to the response
  OutputStream op = response.getOutputStream();
  op.write(outputData);
  op.flush();
  op.close();

%>
